#
# spec file for package surfraw
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           surfraw
Version:        2.3.0
Release:        lp150.1.10
Summary:        Command Line Interface to WWW Search Engines
License:        SUSE-Public-Domain
Group:          Productivity/Networking/Web/Browsers
URL:            https://gitlab.com/surfraw/Surfraw
Source:         https://gitlab.com/surfraw/Surfraw/uploads/2de827b2786ef2fe43b6f07913ca7b7f/%{name}-%{version}.tar.gz
BuildRequires:  make
BuildRequires:  perl-HTML-Parser
BuildRequires:  perl-libwww-perl
BuildRequires:  sed
BuildRequires:  w3m
Requires:       w3m
Requires:       xdg-utils
BuildArch:      noarch

%description
Surfraw provides a Unix command line interface to a variety of
WWW search engines and other artifacts of information and makes
them available as extensions to the shell.
Surfraw abstracts the browser away from input. Interpretation of
linguistic forms is handed back to the shell.

%prep
%setup -q

%build
%configure --libdir=%{_libexecdir} \
            --disable-opensearch \
            --with-text-browser=w3m \
            --with-graphical-browser=xdg-open
make %{?_smp_mflags}

%install
%make_install

%files
%doc AUTHORS ChangeLog HACKING NEWS TODO surfraw.lsm
%license COPYING
%{_bindir}/sr
%{_bindir}/%{name}
%{_bindir}/surfraw-update-path
%{_sysconfdir}/xdg
%config(noreplace) %{_sysconfdir}/xdg/%{name}/bookmarks
%config(noreplace) %{_sysconfdir}/xdg/%{name}/conf
%{_libexecdir}/%{name}
%{_libexecdir}/%{name}/*
%{_mandir}/man1/*.1*

%changelog
* Thu Mar 22 2018 sogal@volted.net
- specfile cleaned
  * remove redefinition of libdir
  * fix elvis location
  * remove uneeded build dependencies
  * use only xdg to define browser
- pkg meta changed to ensure neutrality of description
* Tue Mar 20 2018 jengelh@inai.de
- Ensure neutrality of description.
* Wed Mar 14 2018 sogal@volted.net
- Updated to 2.3.0
  * Source moved to https://gitlab.com/surfraw/Surfraw
  * All elvi now use HTTPS
  * Elvi for sites that don't work with HTTPS have left the building
  * Select Perl version at buildtime (Mark Meyer)
  * Remove lynx-cur (closes #882286)
  * Sundry bug fixes, new hacking style guide and other goodness
* Wed Jan  3 2018 sogal@volted.net
- Updated to 2.2.9. Too many changes since 2.2.4,
  see http://surfraw.alioth.debian.org
  * Specfile cleaned
  * opensearch disabled in configure to remove dependencies to perl-WWW-OpenSearch
  packages (devel:languages:perl repo required otherwise).
* Thu Mar 12 2009 Pascal Bleser <pascal.bleser@opensuse.org> 2.2.4
- use firefox instead of xdg-open for graphical browsing on < 10.2 (and SLE),
  as those versions don't ship xdg-open
- update to 2.2.4:
  * new search tools were added: ntrs (NASA Tech Reports), scicom (Scientific
    Commons), springer (journals and books), urban (Urban Dictionary), and aur
    (ArchLinux User Repository)
  * the excite, cite, and amazon tools were fixed
* Sun Sep 14 2008 Pascal Bleser <guru@unixtech.be> 2.2.3
- update to 2.2.3:
  * surfraw now defaults to graphical mode; the surfraw(1) man page explains
    how to change the default back
  * default browsers are now detected during build; to override this, use the
  - -with-text-browser=BROWSER --with-graphical-browser=BROWSER options of
    the ./configure script
  * new search tools were added: genportage
  * various small fixes were made
* Tue Jul  8 2008 Pascal Bleser <guru@unixtech.be> 2.2.2
- new package
